MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029053Open CASCADE[OCCT] OCCT:Configurationpublic2017-08-25 17:572017-09-29 16:23
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0029053: Configuration, CMake - fix env.bat for starting Draw Harness for MinGW build
DescriptionCurrently env.bat exits with error for non-msvc compiler; this should be fixed.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0069930)
git (administrator)
2017-08-25 18:12

Branch CR29053 has been created by kgv.

SHA-1: 871ba1f99c2c043a107cac705c5bc31e9815be23


Detailed log of new commits:

Author: kgv
Date: Fri Aug 25 17:57:15 2017 +0300

    0029053: Configuration, CMake - fix env.bat for starting Draw Harness for MinGW build
(0069950)
kgv (developer)
2017-08-27 11:18

Please take the patch.

http://jenkins-test-10.nnov.opencascade.com/view/CR29053-CR29053-KGV [^]
(0069951)
bugmaster (administrator)
2017-08-27 12:17

Combination -
OCCT branch : CR29053 - SHA-1: 871ba1f99c2c043a107cac705c5bc31e9815be23
Products branch : CR29053 - SHA-1: 7e86a646f39707c35dee4d41f4df197287d43e68
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:

OCCT :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Products :
Linux: 4 (4 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:

Windows:
OCCT
Total CPU difference: 17330.010689098726 / 17295.75286949859 [+0.20%]
Producst
Total CPU difference: 7688.758886599963 / 7720.302288799964 [-0.41%]

Linux:
OCCT
Total CPU difference: 19451.89000000023 / 19456.560000000376 [-0.02%]
Products
Total CPU difference: 7703.40000000009 / 7725.120000000072 [-0.28%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

Updated test cases are OK
(0070207)
git (administrator)
2017-09-04 18:20

Branch CR29053 has been deleted by kgv.

SHA-1: 871ba1f99c2c043a107cac705c5bc31e9815be23

- Related Changesets
occt: master c0f08310
Timestamp: 2017-08-25 14:57:15
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029053: Configuration, CMake - fix env.bat for starting Draw Harness for MinGW build
mod - adm/templates/env.bat Diff ] File ]
mod - adm/templates/env.bat.in Diff ] File ]
mod - src/OSD/OSD_WNT.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-25 17:57 kgv New Issue
2017-08-25 17:57 kgv Assigned To => kgv
2017-08-25 18:12 git Note Added: 0069930
2017-08-27 11:18 kgv Note Added: 0069950
2017-08-27 11:18 kgv Assigned To kgv => bugmaster
2017-08-27 11:18 kgv Status new => resolved
2017-08-27 11:18 kgv Status resolved => reviewed
2017-08-27 12:17 bugmaster Note Added: 0069951
2017-08-27 12:17 bugmaster Status reviewed => tested
2017-08-28 14:51 bugmaster Test case number => Not required
2017-08-31 18:37 bugmaster Changeset attached => occt master c0f08310
2017-08-31 18:37 bugmaster Status tested => verified
2017-08-31 18:37 bugmaster Resolution open => fixed
2017-09-04 18:20 git Note Added: 0070207
2017-09-29 16:17 aiv Fixed in Version => 7.2.0
2017-09-29 16:23 aiv Status verified => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker